Author Topic: 1.4.3 is broken  (Read 7120 times)

tdurden76

  • Guest
1.4.3 is broken
« on: January 13, 2006, 10:43:34 AM »
I've got a serious problem with 1.4.3
I have 3 Gmail accounts which I have all password protected with Passwordmaker. Whenever I try to login to Gmail the Passwordmaker windows pops up asking me to choose which identity/password combination I want to use. However, when I click on one it isn't used for the password field. THe same happens when I press enter after selecting one. The windows just sits there and does nothing. The data just isn't transfered to the fields on the website.

Offline tanstaafl

  • God Member
  • ******
  • Posts: 1363
1.4.3 is broken
« Reply #1 on: January 13, 2006, 12:27:58 PM »
Hmmm....

Well, I only have one real GMail account, but I created two more dummy accounts in PWM with the gmail URL's, and it works fine for me - I get prompted for which account to use, then when I select it, PWM populates my username, then prompts me for my Master Password - then populates that, and I can log in fine...

You said 'when I click on one...' - a dumb question, but - are you dbl-clicking on it? Or clicking on it then clicking 'OK'? You have to do one or the other, or it *will* just sit there, waiting for confirmation from you. After you click 'OK' (or dbl-click on the correct account), your username should get populated, then you should get prompted for your Master Password, after which your password will get populated.

Offline Eric H. Jung

  • grimholtz
  • Administrator
  • *****
  • Posts: 3353
1.4.3 is broken
« Reply #2 on: January 13, 2006, 01:00:43 PM »
Quote
After you click 'OK' (or dbl-click on the correct account), your username should get populated, then you should get prompted for your Master Password, after which your password will get populated.
Note you won't get prompted for the master password if you've previously stored it in-memory or on disk.

But anyway, as tanstaafl asked, does the Choose Account dialog disappear?
« Last Edit: January 13, 2006, 01:01:06 PM by Eric H. Jung »

tdurden76

  • Guest
1.4.3 is broken
« Reply #3 on: January 13, 2006, 03:31:07 PM »
I did double-click the entry and since that didn't work I selected (single-clicked) it and then tried to press enter. Still didn't work. The choose account dialog does not disappear at all. I have to close it manually.

Offline Eric H. Jung

  • grimholtz
  • Administrator
  • *****
  • Posts: 3353
1.4.3 is broken
« Reply #4 on: January 13, 2006, 03:52:18 PM »
Are you sure you're using 1.4.3? The bug you're describing was in 1.4.1 (read this), but was fixed.

Quote
I have to close it manually.
How do you do that? What do you click?

tdurden76

  • Guest
1.4.3 is broken
« Reply #5 on: January 13, 2006, 07:02:05 PM »
Beats me. I just tried it again and now it works (I'm pretty sure though that I already had installed version 1.4.3). Well, as long as it works. Thanks for your help.

Offline tanstaafl

  • God Member
  • ******
  • Posts: 1363
1.4.3 is broken
« Reply #6 on: January 15, 2006, 01:35:33 PM »
Maybe you tried after updating the extension, but before restarting firefox? I 've done that before myself...

Oh well, as long as its working now...

PasswordMaker Forums

1.4.3 is broken
« Reply #6 on: January 15, 2006, 01:35:33 PM »